 /**
  * Sistema Integral de Planificación y Presupuesto (SIPP)
  * @file proyectos_operativos_extra.js
  * Drupal part Module to Sistema Integral de Planificación y Presupuesto (SIPP)
  * Copyright 2011 Sistema Automatizado para la Planificación Estratégico-Situacional en la Administración Pública Venezolana (CENDITEL)
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  * 
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  * 
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  *
  * @author Cenditel Merida - Msc. Juan Vizcarrondo
  * @date 2012-02-02 // (a&#241;o-mes-dia)
  * @version 0.1 // (0.1)
  */

/*
 * Implementacion valores iniciales
 */
var proyectosOperativos = {};
Drupal.behaviors.proyectosOperativosExtra = function (context) {
  /*
   * Implementacion function $.number
   * basada en la libreria jQuery number plug-in 2.1.3 de Sam Sehnert
   * Copyright 2012, Digital Fusion
   * liberada bajo MIT license
   * http://www.teamdf.com/web/jquery-number-format-redux/196/ 
   */
  $.number = function( number, decimals, dec_point, thousands_sep ){
  // Set the default values here, instead so we can use them in the replace below.
  thousands_sep	= (typeof thousands_sep === 'undefined') ? ',' : thousands_sep; 
  dec_point = (typeof dec_point === 'undefined') ? '.' : dec_point;
  decimals = !isFinite(+decimals) ? 0 : Math.abs(decimals);
  // Work out the unicode representation for the decimal place and thousand sep.	
  var u_dec = ('\\u'+('0000'+(dec_point.charCodeAt(0).toString(16))).slice(-4));
  var u_sep = ('\\u'+('0000'+(thousands_sep.charCodeAt(0).toString(16))).slice(-4));
  // Fix the number, so that it's an actual number.
  number = (number + '')
    .replace('\.', dec_point) // because the number if passed in as a float (having . as decimal point per definition) we need to replace this with the passed in decimal point character
    .replace(new RegExp(u_sep,'g'),'')
    .replace(new RegExp(u_dec,'g'),'.')
    .replace(new RegExp('[^0-9+\-Ee.]','g'),'');
  var n = !isFinite(+number) ? 0 : +number,
    s = '',
    toFixedFix = function (n, decimals) {
      var k = Math.pow(10, decimals);
      return '' + Math.round(n * k) / k;
    };
    // Fix for IE parseFloat(0.55).toFixed(0) = 0;
    s = (decimals ? toFixedFix(n, decimals) : '' + Math.round(n)).split('.');
    if (s[0].length > 3) {
      s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, thousands_sep);
    }
    if ((s[1] || '').length < decimals) {
      s[1] = s[1] || '';
      s[1] += new Array(decimals - s[1].length + 1).join('0');
    }
    return s.join(dec_point);
  }

  //modificar el stylo de las etiquetas
  $(".workflow_history caption").css({'text-align':'left'});
  $(".workflow_history p").css({'font-weight':'bold'});
}
